local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadOmniBarProfile()
OmniBarDB = {
	["profiles"] = {
		["Default"] = {
			["bars"] = {
				["OmniBar4"] = {
					["glow"] = true,
					["spell5217"] = true,
					["tooltips"] = false,
					["spell152279"] = true,
					["spell121471"] = true,
					["spell102558"] = true,
					["locked"] = true,
					["spell201430"] = true,
					["spell191427"] = true,
					["spell204160"] = true,
					["cooldownCount"] = true,
					["spell63560"] = true,
					["unusedAlpha"] = 0.45,
					["maxIcons"] = 25,
					["arena"] = true,
					["spell152108"] = true,
					["spell51690"] = true,
					["scenario"] = true,
					["spell190319"] = true,
					["spell79140"] = true,
					["spell131894"] = true,
					["spell207256"] = true,
					["growUpward"] = false,
					["spell33891"] = true,
					["spell1719"] = true,
					["spell206491"] = true,
					["highlightTarget"] = false,
					["columns"] = 5,
					["spell185313"] = true,
					["spell34433"] = true,
					["adaptive"] = false,
					["spell12472"] = true,
					["padding"] = 2,
					["spell84714"] = true,
					["battleground"] = true,
					["spell105809"] = true,
					["spell194223"] = true,
					["noDefault"] = true,
					["spell10060"] = true,
					["spell107574"] = true,
					["multiple"] = true,
					["spell102543"] = true,
					["spell113858"] = true,
					["spell197871"] = true,
					["spell227847"] = true,
					["spell113860"] = true,
					["spell228920"] = false,
					["swipeAlpha"] = 0.65,
					["align"] = "CENTER",
					["spell47568"] = true,
					["spell47528"] = false,
					["spell205021"] = true,
					["spell220143"] = true,
					["spell204330"] = true,
					["name"] = "Offensives",
					["position"] = {
						["relativeTo"] = "UIParent",
						["point"] = "CENTER",
						["relativePoint"] = "CENTER",
						["yOfs"] = 10,
						["xOfs"] = -280,
						["frameStrata"] = "MEDIUM",
					},
					["spell49206"] = true,
					["spell114049"] = true,
					["spell198067"] = true,
					["spell193526"] = true,
					["spell211522"] = true,
					["spell279302"] = true,
					["spell183415"] = true,
					["spell204035"] = true,
					["spell210191"] = true,
					["spell207289"] = true,
					["border"] = true,
					["names"] = false,
					["spell115080"] = true,
					["highlightFocus"] = false,
					["spell204150"] = true,
					["spell123904"] = true,
					["spell106951"] = true,
					["spell132578"] = true,
					["spell31884"] = true,
					["spell49028"] = true,
					["center"] = false,
					["spell198817"] = true,
					["size"] = 32,
					["ratedBattleground"] = true,
					["spell137639"] = true,
					["showUnused"] = false,
					["spell1122"] = true,
					["spell12042"] = true,
					["spell102560"] = true,
					["spell13750"] = true,
					["spell193530"] = true,
					["spell205691"] = true,
					["spell198664"] = true,
					["spell42650"] = true,
					["world"] = true,
					["spell15286"] = true,
				},
				["OmniBar2"] = {
					["glow"] = true,
					["spell20066"] = true,
					["tooltips"] = false,
					["spell6789"] = true,
					["spell5246"] = true,
					["locked"] = true,
					["size"] = 32,
					["spell91802"] = true,
					["ratedBattleground"] = true,
					["spell107570"] = true,
					["unusedAlpha"] = 0.45,
					["spell191433"] = true,
					["spell187650"] = true,
					["showUnused"] = false,
					["spell2094"] = true,
					["scenario"] = true,
					["spell111896"] = true,
					["spell209789"] = true,
					["growUpward"] = false,
					["spell113724"] = true,
					["spell47476"] = true,
					["spell213691"] = true,
					["highlightTarget"] = false,
					["columns"] = 5,
					["spell212619"] = true,
					["spell201664"] = false,
					["adaptive"] = false,
					["spell99"] = true,
					["padding"] = 2,
					["battleground"] = true,
					["spell408"] = true,
					["spell89766"] = true,
					["spell80240"] = true,
					["multiple"] = true,
					["spell853"] = true,
					["center"] = false,
					["spell115750"] = true,
					["spell221562"] = true,
					["spell51514"] = true,
					["spell202137"] = true,
					["spell19386"] = true,
					["align"] = "CENTER",
					["spell77606"] = true,
					["spell46968"] = true,
					["name"] = "Interrupts & CC",
					["position"] = {
						["relativeTo"] = "UIParent",
						["point"] = "CENTER",
						["relativePoint"] = "CENTER",
						["yOfs"] = 200,
						["xOfs"] = 0,
						["frameStrata"] = "MEDIUM",
					},
					["spell47482"] = true,
					["spell30283"] = true,
					["spell5484"] = true,
					["spell6358"] = true,
					["spell205369"] = true,
					["spell15487"] = true,
					["arena"] = true,
					["spell192058"] = true,
					["spell207167"] = true,
					["spell207684"] = true,
					["border"] = true,
					["names"] = false,
					["spell47481"] = true,
					["spell8122"] = true,
					["spell115078"] = true,
					["spell204437"] = true,
					["spell221527"] = true,
					["highlightFocus"] = false,
					["spell211881"] = true,
					["world"] = true,
					["spell116844"] = true,
					["swipeAlpha"] = 0.65,
					["spell119381"] = true,
					["spell49576"] = true,
					["cooldownCount"] = true,
					["spell198898"] = true,
					["spell22570"] = true,
					["spell19577"] = true,
					["spell108199"] = true,
					["spell202138"] = true,
					["spell109248"] = true,
					["maxIcons"] = 25,
					["spell202914"] = true,
					["spell199804"] = true,
					["spell179057"] = true,
					["spell5211"] = true,
				},
				["OmniBar3"] = {
					["glow"] = true,
					["spell53480"] = true,
					["tooltips"] = false,
					["spell73325"] = true,
					["spell236273"] = true,
					["locked"] = true,
					["size"] = 32,
					["spell201318"] = true,
					["ratedBattleground"] = true,
					["unusedAlpha"] = 0.45,
					["spell86659"] = true,
					["spell109304"] = true,
					["spell116849"] = true,
					["maxIcons"] = 25,
					["spell64843"] = true,
					["spell1856"] = true,
					["spell1044"] = true,
					["showUnused"] = false,
					["spell48707"] = true,
					["scenario"] = true,
					["spell115203"] = true,
					["spell207777"] = true,
					["spell48792"] = true,
					["growUpward"] = false,
					["spell207736"] = true,
					["spell113656"] = true,
					["spell51052"] = true,
					["highlightTarget"] = false,
					["columns"] = 5,
					["spell236696"] = true,
					["spell197690"] = false,
					["adaptive"] = false,
					["spell198838"] = true,
					["spell122470"] = true,
					["padding"] = 2,
					["battleground"] = true,
					["spell12975"] = true,
					["spell871"] = true,
					["noDefault"] = true,
					["spell23920"] = true,
					["arena"] = true,
					["spell31850"] = true,
					["spell108271"] = true,
					["spell118038"] = true,
					["multiple"] = true,
					["spell104773"] = true,
					["highlightFocus"] = false,
					["spell47788"] = true,
					["spell212295"] = true,
					["cooldownCount"] = true,
					["spell108280"] = true,
					["spell115310"] = true,
					["spell119996"] = true,
					["spell184364"] = true,
					["spell186265"] = true,
					["spell61336"] = true,
					["align"] = "CENTER",
					["spell204331"] = true,
					["spell47528"] = false,
					["spell207399"] = true,
					["spell22842"] = true,
					["spell204336"] = true,
					["name"] = "Defensives",
					["position"] = {
						["relativeTo"] = "UIParent",
						["point"] = "CENTER",
						["relativePoint"] = "CENTER",
						["yOfs"] = 10,
						["xOfs"] = 280,
						["frameStrata"] = "MEDIUM",
					},
					["spell212800"] = true,
					["spell108238"] = true,
					["spell114049"] = false,
					["spell212182"] = true,
					["spell5277"] = true,
					["spell31224"] = true,
					["spell199754"] = true,
					["spell29166"] = true,
					["spell108968"] = true,
					["spell207319"] = true,
					["border"] = true,
					["names"] = false,
					["spell198111"] = true,
					["spell47585"] = true,
					["spell122278"] = true,
					["spell31821"] = true,
					["spell196718"] = true,
					["spell33206"] = true,
					["spell212623"] = true,
					["world"] = true,
					["spell498"] = true,
					["spell210256"] = true,
					["spell102342"] = true,
					["spell205604"] = true,
					["spell19236"] = true,
					["spell633"] = true,
					["center"] = false,
					["spell6940"] = true,
					["swipeAlpha"] = 0.65,
					["spell47536"] = true,
					["spell642"] = true,
					["spell1022"] = true,
					["spell97462"] = true,
					["spell22812"] = true,
					["spell212640"] = true,
					["spell45438"] = true,
				},
			},
		},
	},
}
end