local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadGladiusExProfile()
local db = LibStub("AceDB-3.0"):New(GladiusExDB, nil, true)

if(GladiusExDB["profiles"]["GennUI"])then
	db:SetProfile("GennUI")
else
GladiusExDB = {
	["namespaces"] = {
		["party_CastBar"] = {
		},
		["Highlight"] = {
		},
		["LibDualSpec-1.0"] = {
		},
		["party_Alerts"] = {
		},
		["party_HealthBar"] = {
		},
		["party_ClassIcon"] = {
		},
		["party_Highlight"] = {
		},
		["party_DRTracker"] = {
		},
		["DRTracker"] = {
		},
		["party_PowerBar"] = {
		},
		["SkillHistory"] = {
		},
		["party_TargetBar"] = {
		},
		["Cooldowns"] = {
			["profiles"] = {
				["GennUI"] = {
					["groups"] = {
						["group_1"] = {
							["cooldownsOffsetY"] = -4,
							["cooldownsOffCdScale"] = 1,
							["cooldownsSpells"] = {
								[18499] = false,
								[132469] = false,
								[204330] = true,
								[108968] = true,
								[8122] = false,
								[51514] = false,
								[204331] = true,
								[236077] = true,
								[198838] = true,
								[321792] = true,
								[51690] = true,
								[324220] = true,
								[1022] = true,
								[15286] = true,
								[119381] = false,
								[207399] = true,
								[102359] = false,
								[325886] = true,
								[200183] = true,
								[61336] = true,
								[193796] = true,
								[184662] = true,
								[105809] = true,
								[213981] = true,
								[204336] = true,
								[214621] = true,
								[31850] = true,
								[204018] = true,
								[342245] = true,
								[1044] = true,
								[108238] = true,
								[781] = false,
								[114051] = true,
								[12975] = true,
								[12472] = true,
								[227847] = true,
								[113860] = true,
								[108271] = true,
								[186265] = true,
								[288853] = true,
								[114052] = true,
								[96231] = false,
								[51533] = true,
								[99] = false,
								[167105] = true,
								[336126] = true,
								[107570] = true,
								[191634] = true,
								[336128] = true,
								[262161] = true,
								[324631] = true,
								[209584] = true,
								[116705] = false,
								[212459] = true,
								[320674] = true,
								[336135] = true,
								[119996] = true,
								[205180] = true,
								[115078] = false,
								[108978] = true,
								[207736] = true,
								[5384] = true,
								[49028] = true,
								[228049] = true,
								[106839] = false,
								[304971] = true,
								[102560] = true,
								[62618] = true,
								[210294] = true,
								[31884] = true,
								[115176] = true,
								[47528] = false,
								[325289] = true,
								[33891] = true,
								[207167] = false,
								[279302] = true,
								[328231] = true,
								[1122] = true,
								[12042] = true,
								[323764] = true,
								[6552] = false,
								[48743] = true,
								[323639] = true,
								[108281] = true,
								[2782] = false,
								[322109] = true,
								[115276] = true,
								[116841] = false,
								[109304] = true,
								[8143] = true,
								[197721] = true,
								[231895] = true,
								[186289] = true,
								[86949] = true,
								[46924] = true,
								[202770] = true,
								[201430] = true,
								[20572] = false,
								[116844] = false,
								[26297] = false,
								[198111] = true,
								[49576] = false,
								[190319] = true,
								[102793] = false,
								[123904] = true,
								[343721] = true,
								[132578] = true,
								[1953] = false,
								[326860] = true,
								[64843] = true,
								[5277] = true,
								[233759] = true,
								[97462] = true,
								[197862] = true,
								[111898] = true,
								[323673] = false,
								[323546] = true,
								[194223] = true,
								[267211] = true,
								[221562] = true,
								[310143] = true,
								[205025] = true,
								[266779] = true,
								[204021] = true,
								[288613] = true,
								[131894] = true,
								[86659] = true,
								[197908] = false,
								[193223] = true,
								[6940] = true,
								[325640] = true,
								[310454] = true,
								[267217] = true,
								[102558] = true,
								[740] = true,
								[102543] = true,
								[212623] = true,
								[316958] = true,
								[184364] = true,
								[183752] = false,
								[314793] = true,
								[198103] = true,
								[106951] = true,
								[114050] = true,
								[236320] = true,
								[51886] = false,
								[55233] = true,
								[152279] = true,
								[122278] = true,
								[192249] = true,
								[53480] = true,
								[53271] = true,
								[192058] = true,
								[853] = false,
								[197871] = true,
								[2825] = true,
								[2983] = true,
								[59752] = true,
								[315443] = true,
								[323436] = true,
								[47536] = true,
								[47568] = true,
								[212295] = true,
								[6262] = true,
								[19577] = false,
								[308491] = true,
								[201996] = true,
								[137639] = true,
								[307865] = true,
								[193530] = true,
								[42650] = true,
								[205191] = true,
								[265187] = true,
								[212619] = true,
								[324143] = true,
								[122] = false,
								[198529] = true,
								[325216] = true,
								[199754] = true,
								[34433] = true,
								[198067] = true,
								[207289] = true,
								[1766] = false,
								[113858] = true,
								[326434] = true,
								[153561] = true,
								[498] = true,
							},
							["cooldownsPaddingY"] = 1,
							["cooldownsOnUseScale"] = 1,
							["cooldownsSpacingX"] = 1,
							["cooldownsIconCooldownAlpha"] = 0.5,
							["cooldownsBorderCooldownAlpha"] = 0.5,
							["cooldownsCrop"] = false,
							["cooldownsRelativePoint"] = "TOPRIGHT",
							["cooldownsTooltips"] = false,
							["cooldownsOffsetX"] = 4,
							["cooldownsSize"] = 26,
							["cooldownsMax"] = 12,
							["cooldownsPerColumn"] = 6,
						},
					},
					["num_groups"] = 1,
				},
			},
		},
		["arena"] = {
			["profiles"] = {
				["GennUI"] = {
					["backdropColor"] = {
						["a"] = 0,
					},
					["modules"] = {
						["SkillHistory"] = false,
						["Highlight"] = false,
						["Announcements"] = false,
					},
					["barsHeight"] = 35,
					["growDirection"] = "UP",
					["margin"] = 0,
					["borderSize"] = 0,
					["y"] = {
						["anchor_arena"] = 314.3113601620935,
						["arena3"] = 415.4313579018854,
						["arena2"] = 380.8713586743616,
						["arena1"] = 346.3113594468377,
					},
					["x"] = {
						["anchor_arena"] = 976.3549000517669,
						["arena3"] = 976.3549000517669,
						["arena2"] = 976.3549000517669,
						["arena1"] = 976.3549000517669,
					},
					["backgroundPadding"] = 0,
					["stealthAlpha"] = 0.7,
					["barWidth"] = 150,
				},
			},
		},
		["Auras"] = {
		},
		["CastBar"] = {
			["profiles"] = {
				["GennUI"] = {
					["castBarBackgroundHideWhenNotCasting"] = true,
					["castTimeTextDelay"] = false,
					["castBarHeight"] = 14,
					["castBarNotIntColor"] = {
						["r"] = 0.7372549019607844,
						["g"] = 0.05098039215686274,
						["b"] = 0.09411764705882353,
					},
					["castTimeTextRemainingTime"] = false,
					["castBarColor"] = {
						["r"] = 0.4823529411764706,
						["g"] = 0.4862745098039216,
						["b"] = 0.4705882352941176,
					},
				},
			},
		},
		["party"] = {
			["profiles"] = {
				["GennUI"] = {
					["y"] = {
						["player"] = 470.719950416089,
						["party2"] = 354.239992082119,
						["party1"] = 412.4799907803536,
					},
					["x"] = {
						["player"] = 461.2267865657777,
						["party2"] = 461.2267865657777,
						["party1"] = 461.2267865657777,
					},
				},
			},
		},
		["party_SkillHistory"] = {
		},
		["PowerBar"] = {
			["profiles"] = {
				["GennUI"] = {
					["powerBarHeight"] = -4,
				},
			},
		},
		["Interrupts"] = {
		},
		["party_Announcements"] = {
		},
		["HealthBar"] = {
			["profiles"] = {
				["GennUI"] = {
					["healthBarHeight"] = 25,
				},
			},
		},
		["party_PetBar"] = {
		},
		["PetBar"] = {
		},
		["party_Cooldowns"] = {
		},
		["party_Clicks"] = {
		},
		["Announcements"] = {
		},
		["party_Interrupts"] = {
		},
		["Alerts"] = {
		},
		["TargetBar"] = {
		},
		["party_Tags"] = {
		},
		["party_Auras"] = {
		},
		["Tags"] = {
			["profiles"] = {
				["GennUI"] = {
					["tagsTexts"] = {
						["PowerBar Left Text"] = {
							["text"] = "",
						},
						["PowerBar Right Text"] = {
							["globalFontSize"] = false,
							["offsetY"] = 8,
							["text"] = "",
							["size"] = 10,
						},
						["HealthBar Right Text"] = {
							["offsetY"] = 16,
							["offsetX"] = 0,
							["text"] = " [name:status]",
							["globalFontSize"] = false,
							["size"] = 18,
						},
						["PetBar Right Text"] = {
							["text"] = " [power:short]",
							["offsetY"] = 6,
							["size"] = 17,
						},
						["TargetBar Left Text"] = {
							["text"] = "",
						},
						["HealthBar Left Text"] = {
							["offsetX"] = 0,
							["offsetY"] = -8,
							["text"] = " [health:short]",
							["size"] = 12,
						},
						["PetBar Left Text"] = {
							["text"] = "",
						},
						["TargetBar Right Text"] = {
							["text"] = "",
						},
					},
				},
			},
		},
		["Clicks"] = {
		},
		["ClassIcon"] = {
			["profiles"] = {
				["GennUI"] = {
					["classIconGloss"] = true,
				},
			},
		},
	},
	["profileKeys"] = {
	},
	["profiles"] = {
		["GennUI"] = {
			["globalFont"] = "Century Gothic Bold",
			["globalBarTexture"] = "GennUI Melli",
			["showParty"] = false,
			["globalFontSize"] = 12,
			["locked"] = true,
		},
		["Default"] = {
		},
		["Sayadaljin - Stormscale"] = {
		},
	},
}

	db:SetProfile("GennUI")
end
end
