local E, L, V, P, G = unpack(ElvUI)
local IsAddOnLoaded = IsAddOnLoaded
local format = string.format
local MyPluginName = "GennUI"
local GNUI = E:GetModule("GennUI");
local classColor = E:ClassColor(E.myclass, true)

function GNUI:LoadWTProfile()
if IsAddOnLoaded('ElvUI_WindTools') then

E.db["movers"]["WTRaidMarkersBarAnchor"] = "BOTTOM,ElvUIParent,BOTTOM,-344,430"
E.db["movers"]["WTMinimapButtonBarAnchor"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-4,-190"
E.db["movers"]["WTSwitchButtonBarAnchor"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-134,-277"
E.db["movers"]["WTExtraItemsBar1Mover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-247,210"
E.db["movers"]["WTExtraItemsBar2Mover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-247,240"
E.db["movers"]["WTParagonReputationToastFrameMover"] = "TOP,ElvUIParent,TOP,0,-152"
E.db["movers"]["WTGameBarAnchor"] = "TOP,ElvUIParent,TOP,0,-2"
E.db["WT"]["misc"]["gameBar"]["timeAreaHeight"] = 22
E.db["WT"]["misc"]["gameBar"]["additionalText"]["font"]["name"] = "Century Gothic Bold"
E.db["WT"]["misc"]["gameBar"]["backdrop"] = false
E.db["WT"]["misc"]["gameBar"]["time"]["flash"] = false
E.db["WT"]["misc"]["gameBar"]["mouseOver"] = true
E.db["WT"]["misc"]["gameBar"]["enable"] = true
E.db["WT"]["misc"]["gameBar"]["time"]["font"]["name"] = "Century Gothic Bold"
E.db["WT"]["misc"]["gameBar"]["time"]["font"]["size"] = 22
E.db["WT"]["misc"]["gameBar"]["timeAreaWidth"] = 80
E.db["WT"]["misc"]["gameBar"]["home"]["right"] = "140192"
E.db["WT"]["misc"]["gameBar"]["backdropSpacing"] = 1
E.db["WT"]["misc"]["gameBar"]["buttonSize"] = 22
E.db["WT"]["combat"]["combatAlert"]["font"]["size"] = 22
E.db["WT"]["combat"]["combatAlert"]["enterText"] = "In Combat"
E.db["WT"]["combat"]["combatAlert"]["leaveText"] = "Out of Combat"
E.db["WT"]["combat"]["combatAlert"]["speed"] = 2
E.db["WT"]["combat"]["combatAlert"]["animationSize"] = 0.5
E.db["WT"]["combat"]["raidMarkers"]["spacing"] = 1
E.db["WT"]["combat"]["raidMarkers"]["backdropSpacing"] = 1
E.db["WT"]["combat"]["raidMarkers"]["backdrop"] = false
E.db["WT"]["combat"]["raidMarkers"]["buttonSize"] = 18
E.db["WT"]["combat"]["raidMarkers"]["tooltip"] = false
E.db["WT"]["combat"]["raidMarkers"]["mouseOver"] = true
E.db["WT"]["item"]["delete"]["enable"] = false
E.db["WT"]["item"]["extraItemsBar"]["bar1"]["backdrop"] = false
E.db["WT"]["item"]["extraItemsBar"]["bar1"]["backdropSpacing"] = 1
E.db["WT"]["item"]["extraItemsBar"]["bar1"]["bindFont"]["name"] = "Century Gothic Bold"
E.db["WT"]["item"]["extraItemsBar"]["bar1"]["bindFont"]["size"] = 11
E.db["WT"]["item"]["extraItemsBar"]["bar1"]["buttonHeight"] = 28
E.db["WT"]["item"]["extraItemsBar"]["bar1"]["buttonWidth"] = 28
E.db["WT"]["item"]["extraItemsBar"]["bar1"]["countFont"]["name"] = "Century Gothic Bold"
E.db["WT"]["item"]["extraItemsBar"]["bar1"]["countFont"]["size"] = 11
E.db["WT"]["item"]["extraItemsBar"]["bar1"]["include"] = "QUEST,CUSTOM,FOODVENDOR,FOODSL,MAGEFOOD"
E.db["WT"]["item"]["extraItemsBar"]["bar1"]["spacing"] = 1
E.db["WT"]["item"]["extraItemsBar"]["bar2"]["backdrop"] = false
E.db["WT"]["item"]["extraItemsBar"]["bar2"]["backdropSpacing"] = 1
E.db["WT"]["item"]["extraItemsBar"]["bar2"]["bindFont"]["name"] = "Century Gothic Bold"
E.db["WT"]["item"]["extraItemsBar"]["bar2"]["bindFont"]["size"] = 11
E.db["WT"]["item"]["extraItemsBar"]["bar2"]["buttonHeight"] = 28
E.db["WT"]["item"]["extraItemsBar"]["bar2"]["buttonWidth"] = 28
E.db["WT"]["item"]["extraItemsBar"]["bar2"]["countFont"]["name"] = "Century Gothic Bold"
E.db["WT"]["item"]["extraItemsBar"]["bar2"]["countFont"]["size"] = 11
E.db["WT"]["item"]["extraItemsBar"]["bar2"]["include"] = "POTIONSL,FLASKSL,UTILITY,TORGHAST"
E.db["WT"]["item"]["extraItemsBar"]["bar2"]["spacing"] = 1
E.db["WT"]["item"]["extraItemsBar"]["bar3"]["backdrop"] = false
E.db["WT"]["item"]["extraItemsBar"]["bar3"]["buttonWidth"] = 30
E.db["WT"]["item"]["extraItemsBar"]["bar3"]["enable"] = false
E.db["WT"]["item"]["inspect"]["enable"] = false
E.db["WT"]["item"]["inspect"]["equipText"]["size"] = 12
E.db["WT"]["item"]["inspect"]["levelText"]["name"] = "Century Gothic Bold"
E.db["WT"]["item"]["inspect"]["levelText"]["size"] = 14
E.db["WT"]["item"]["inspect"]["statsText"]["size"] = 12
E.db["WT"]["announcement"]["enable"] = false
E.db["WT"]["announcement"]["goodbye"]["enable"] = false
E.db["WT"]["announcement"]["interrupt"]["enable"] = false
E.db["WT"]["announcement"]["interrupt"]["others"]["enable"] = true
E.db["WT"]["announcement"]["interrupt"]["player"]["channel"]["instance"] = "SAY"
E.db["WT"]["announcement"]["interrupt"]["player"]["channel"]["party"] = "SAY"
E.db["WT"]["announcement"]["interrupt"]["player"]["channel"]["raid"] = "SAY"
E.db["WT"]["announcement"]["interrupt"]["player"]["channel"]["solo"] = "EMOTE"
E.db["WT"]["announcement"]["quest"]["daily"]["enable"] = false
E.db["WT"]["announcement"]["quest"]["level"]["enable"] = false
E.db["WT"]["announcement"]["quest"]["paused"] = false
E.db["WT"]["announcement"]["quest"]["suggestedGroup"]["enable"] = false
E.db["WT"]["announcement"]["quest"]["tag"]["enable"] = false
E.db["WT"]["announcement"]["quest"]["weekly"]["enable"] = false
E.db["WT"]["announcement"]["thanksForResurrection"]["normalText"] = "%target%, thanks :)"
E.db["WT"]["announcement"]["thanksForResurrection"]["soulstoneText"] = "%target%, thanks :)"
E.db["WT"]["announcement"]["threatTransfer"]["enable"] = false
E.db["WT"]["announcement"]["utility"]["enable"] = false
E.db["WT"]["social"]["chatLink"]["enable"] = false
E.db["WT"]["social"]["chatLink"]["compatibile"] = false
E.db["WT"]["social"]["friendList"]["hideMaxLevel"] = false
E.db["WT"]["social"]["friendList"]["infoFont"]["size"] = 11
E.db["WT"]["social"]["friendList"]["nameFont"]["size"] = 11
E.db["WT"]["social"]["friendList"]["textures"]["factionIcon"] = true
E.db["WT"]["social"]["chatText"]["removeRealm"] = false
E.db["WT"]["social"]["filter"]["enable"] = false
E.db["WT"]["social"]["chatBar"]["enable"] = false
E.db["WT"]["social"]["smartTab"]["enable"] = false
E.db["WT"]["quest"]["switchButtons"]["enable"] = false
E.db["WT"]["quest"]["turnIn"]["selectReward"] = false
E.db["WT"]["quest"]["turnIn"]["enable"] = false
E.db["WT"]["maps"]["whoClicked"]["font"]["size"] = 12
E.db["WT"]["item"]["fastLoot"]["enable"] = false
E.private["WT"]["maps"]["minimapButtons"]["buttonSize"] = 22
E.private["WT"]["maps"]["minimapButtons"]["backdropSpacing"] = 1
E.private["WT"]["maps"]["minimapButtons"]["backdrop"] = false
E.private["WT"]["maps"]["minimapButtons"]["spacing"] = 1
E.private["WT"]["maps"]["worldMap"]["scale"]["size"] = 1
E.private["WT"]["misc"]["rememberPositions"] = false
E.private["WT"]["combat"]["talentManager"]["enable"] = false
E.private["WT"]["quest"]["objectiveTracker"]["title"]["size"] = 12
E.private["WT"]["quest"]["objectiveTracker"]["titleColor"]["classColor"] = true
E.private["WT"]["quest"]["objectiveTracker"]["header"]["size"] = 12
E.private["WT"]["quest"]["objectiveTracker"]["colorfulPercentage"] = true
E.private["WT"]["quest"]["objectiveTracker"]["percentage"] = false
E.private["WT"]["quest"]["objectiveTracker"]["info"]["size"] = 11
E.private["WT"]["skins"]["errorMessage"]["size"] = 14
E.private["WT"]["skins"]["ime"]["label"]["name"] = "Century Gothic Bold"
E.private["WT"]["skins"]["ime"]["label"]["size"] = 12
E.private["WT"]["skins"]["shadow"] = false
E.private["WT"]["tooltips"]["progression"]["enable"] = false
E.private["WT"]["tooltips"]["icon"] = false
E.private["WT"]["unitFrames"]["quickFocus"]["enable"] = false

end
end