local E, L, V, P, G = unpack(ElvUI)
local IsAddOnLoaded = IsAddOnLoaded
local format = string.format
local MyPluginName = "GennUI"
local GNUI = E:GetModule("GennUI");
local classColor = E:ClassColor(E.myclass, true)

function GNUI:SetupUnitframes()
-- Colors & Stuff
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][1]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][1]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][1]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][2]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][2]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][2]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][3]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][3]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][3]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][4]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][4]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][4]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][5]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][5]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][5]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][6]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][6]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["comboPoints"][6]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["DEATHKNIGHT"]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["DEATHKNIGHT"]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["DEATHKNIGHT"]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["PALADIN"]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["PALADIN"]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["PALADIN"]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MAGE"]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["MAGE"]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["MAGE"]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["WARLOCK"]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["WARLOCK"]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["WARLOCK"]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MONK"][1]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MONK"][1]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["MONK"][1]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["MONK"][2]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MONK"][2]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["MONK"][2]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["MONK"][3]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MONK"][3]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["MONK"][3]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["MONK"][4]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MONK"][4]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["MONK"][4]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["MONK"][5]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MONK"][5]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["MONK"][5]["b"] = classColor.b
E.db["unitframe"]["colors"]["classResources"]["MONK"][6]["r"] = classColor.r
E.db["unitframe"]["colors"]["classResources"]["MONK"][6]["g"] = classColor.g
E.db["unitframe"]["colors"]["classResources"]["MONK"][6]["b"] = classColor.b
E.db["unitframe"]["colors"]["power"]["MANA"]["b"] = 161 / 255
E.db["unitframe"]["colors"]["power"]["MANA"]["g"] = 115 / 255
E.db["unitframe"]["colors"]["power"]["MANA"]["r"] = 79 / 255
E.db["unitframe"]["colors"]["power"]["FURY"]["r"] = 227 / 255
E.db["unitframe"]["colors"]["power"]["FURY"]["g"] = 126 / 255
E.db["unitframe"]["colors"]["power"]["FURY"]["b"] = 39 / 255
E.db["unitframe"]["colors"]["power"]["FOCUS"]["b"] = 69 / 255
E.db["unitframe"]["colors"]["power"]["FOCUS"]["g"] = 110 / 255
E.db["unitframe"]["colors"]["power"]["FOCUS"]["r"] = 181 / 255
E.db["unitframe"]["colors"]["power"]["RUNIC_POWER"]["r"] = 0 / 255
E.db["unitframe"]["colors"]["power"]["RUNIC_POWER"]["g"] = 209 / 255
E.db["unitframe"]["colors"]["power"]["RUNIC_POWER"]["b"] = 255 / 255
E.db["unitframe"]["colors"]["power"]["ENERGY"]["b"] = 89 / 255
E.db["unitframe"]["colors"]["power"]["ENERGY"]["g"] = 161 / 255
E.db["unitframe"]["colors"]["power"]["ENERGY"]["r"] = 166 / 255
E.db["unitframe"]["colors"]["power"]["MAELSTROM"]["r"] = 0 / 255
E.db["unitframe"]["colors"]["power"]["MAELSTROM"]["g"] = 128 / 255
E.db["unitframe"]["colors"]["power"]["MAELSTROM"]["b"] = 255 / 255
E.db["unitframe"]["colors"]["power"]["PAIN"]["r"] = 225 / 255
E.db["unitframe"]["colors"]["power"]["PAIN"]["g"] = 225 / 255
E.db["unitframe"]["colors"]["power"]["PAIN"]["b"] = 225 / 255
E.db["unitframe"]["colors"]["power"]["LUNAR_POWER"]["b"] = 31 / 255
E.db["unitframe"]["colors"]["power"]["LUNAR_POWER"]["g"] = 219 / 255
E.db["unitframe"]["colors"]["power"]["LUNAR_POWER"]["r"] = 230 / 255
E.db["unitframe"]["colors"]["power"]["INSANITY"]["b"] = 176 / 255
E.db["unitframe"]["colors"]["power"]["INSANITY"]["g"] = 36 / 255
E.db["unitframe"]["colors"]["power"]["INSANITY"]["r"] = 140 / 255
E.db["unitframe"]["colors"]["power"]["RAGE"]["b"] = 64 / 255
E.db["unitframe"]["colors"]["power"]["RAGE"]["g"] = 64 / 255
E.db["unitframe"]["colors"]["power"]["RAGE"]["r"] = 199 / 255
E.db["unitframe"]["colors"]["auraBarDebuff"]["r"] = 79 / 255
E.db["unitframe"]["colors"]["auraBarDebuff"]["g"] = 79 / 255
E.db["unitframe"]["colors"]["auraBarDebuff"]["b"] = 79 / 255
E.db["unitframe"]["colors"]["health"]["r"] = 30 / 255
E.db["unitframe"]["colors"]["health"]["g"] = 30 / 255
E.db["unitframe"]["colors"]["health"]["b"] = 30 / 255
E.db["unitframe"]["colors"]["health_backdrop"]["r"] = 30 / 255
E.db["unitframe"]["colors"]["health_backdrop"]["g"] = 30 / 255
E.db["unitframe"]["colors"]["health_backdrop"]["b"] = 30 / 255
E.db["unitframe"]["colors"]["castColor"]["r"] = 0 / 255
E.db["unitframe"]["colors"]["castColor"]["g"] = 128 / 255
E.db["unitframe"]["colors"]["castColor"]["b"] = 255 / 255
E.db["unitframe"]["colors"]["castNoInterrupt"]["r"] = 200 / 255
E.db["unitframe"]["colors"]["castNoInterrupt"]["g"] = 20 / 255
E.db["unitframe"]["colors"]["castNoInterrupt"]["b"] = 20 / 255
E.db["unitframe"]["colors"]["castbar_backdrop"]["r"] = 30 / 255
E.db["unitframe"]["colors"]["castbar_backdrop"]["g"] = 30 / 255
E.db["unitframe"]["colors"]["castbar_backdrop"]["b"] = 30 / 255
E.db["unitframe"]["colors"]["healthMultiplier"] = 1
E.db["unitframe"]["colors"]["debuffHighlight"]["Curse"]["a"] = 1
E.db["unitframe"]["colors"]["debuffHighlight"]["Disease"]["a"] = 1
E.db["unitframe"]["colors"]["debuffHighlight"]["Magic"]["a"] = 1
E.db["unitframe"]["colors"]["debuffHighlight"]["Poison"]["a"] = 1
E.db["unitframe"]["colors"]["debuffHighlight"]["blendMode"] = "BLEND"
E.db["unitframe"]["colors"]["healthclass"] = true
E.db["unitframe"]["colors"]["powerclass"] = false
E.db["unitframe"]["colors"]["classbackdrop"] = false
E.db["unitframe"]["colors"]["colorhealthbyvalue"] = false
E.db["unitframe"]["colors"]["customhealthbackdrop"] = true
E.db["unitframe"]["colors"]["customcastbarbackdrop"] = true
E.db["unitframe"]["colors"]["transparentAurabars"] = true
E.db["unitframe"]["colors"]["transparentCastbar"] = true
E.db["unitframe"]["colors"]["frameGlow"]["targetGlow"]["enable"] = false
E.db["unitframe"]["colors"]["frameGlow"]["mouseoverGlow"]["enable"] = false
E.db["unitframe"]["colors"]["frameGlow"]["mouseoverGlow"]["texture"] = "GennUI Melli"
E.db["unitframe"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["fontSize"] = 12
E.db["unitframe"]["smoothbars"] = true
E.db["unitframe"]["statusbar"] = "GennUI Melli"
E.db["unitframe"]["smartRaidFilter"] = false

--- Custom Texts
E.db["unitframe"]["units"]["player"]["customTexts"] = E.db["unitframe"]["units"]["player"]["customTexts"] or {}
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"] = {}
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"] = {}
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"] = {}
E.db["unitframe"]["units"]["player"]["customTexts"]["gMana"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"] = E.db["unitframe"]["units"]["target"]["customTexts"] or {}
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"] = {}
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"] = {}	
E.db["unitframe"]["units"]["boss"]["customTexts"] = E.db["unitframe"]["units"]["boss"]["customTexts"] or {}
E.db["unitframe"]["units"]["boss"]["customTexts"]["gName"] = {}
E.db["unitframe"]["units"]["boss"]["customTexts"]["gPower"] = {}
E.db["unitframe"]["units"]["arena"]["customTexts"] = E.db["unitframe"]["units"]["arena"]["customTexts"] or {}
E.db["unitframe"]["units"]["arena"]["customTexts"]["gName"] = {}
E.db["unitframe"]["units"]["arena"]["customTexts"]["gPower"] = {}
E.db["unitframe"]["units"]["party"]["customTexts"] = E.db["unitframe"]["units"]["party"]["customTexts"] or {}
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"] = {}
E.db["unitframe"]["units"]["party"]["customTexts"]["gMana"] = {}

-- Player
E.db["unitframe"]["units"]["player"]["CombatIcon"]["size"] = 32
E.db["unitframe"]["units"]["player"]["RestIcon"]["texture"] = "RESTING1"
E.db["unitframe"]["units"]["player"]["RestIcon"]["yOffset"] = -6
E.db["unitframe"]["units"]["player"]["aurabar"]["enable"] = false
E.db["unitframe"]["units"]["player"]["buffs"]["anchorPoint"] = "TOPRIGHT"
E.db["unitframe"]["units"]["player"]["buffs"]["attachTo"] = "FRAME"
E.db["unitframe"]["units"]["player"]["buffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["player"]["buffs"]["enable"] = true
E.db["unitframe"]["units"]["player"]["buffs"]["yOffset"] = 14
E.db["unitframe"]["units"]["player"]["castbar"]["iconAttached"] = false
E.db["unitframe"]["units"]["player"]["castbar"]["iconAttachedTo"] = "Castbar"
E.db["unitframe"]["units"]["player"]["castbar"]["iconSize"] = 36
E.db["unitframe"]["units"]["player"]["castbar"]["iconXOffset"] = -2
E.db["unitframe"]["units"]["player"]["castbar"]["width"] = 240
E.db["unitframe"]["units"]["player"]["classbar"]["autoHide"] = true
E.db["unitframe"]["units"]["player"]["classbar"]["fill"] = "spaced"
E.db["unitframe"]["units"]["player"]["classbar"]["height"] = 4
E.db["unitframe"]["units"]["player"]["classbar"]["detachFromFrame"] = true
E.db["unitframe"]["units"]["player"]["classbar"]["detachedWidth"] = 120
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["enable"] = true
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["size"] = 16
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["text_format"] = "[health:current:shortvalue]"
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["xOffset"] = 0
E.db["unitframe"]["units"]["player"]["customTexts"]["gHealth"]["yOffset"] = -6
E.db["unitframe"]["units"]["player"]["customTexts"]["gMana"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["player"]["customTexts"]["gMana"]["enable"] = true
E.db["unitframe"]["units"]["player"]["customTexts"]["gMana"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["player"]["customTexts"]["gMana"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["player"]["customTexts"]["gMana"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["player"]["customTexts"]["gMana"]["size"] = 10
E.db["unitframe"]["units"]["player"]["customTexts"]["gMana"]["text_format"] = "||cff00d1ff[gnuidmana]"
E.db["unitframe"]["units"]["player"]["customTexts"]["gMana"]["xOffset"] = 0
E.db["unitframe"]["units"]["player"]["customTexts"]["gMana"]["yOffset"] = 8
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["enable"] = true
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["size"] = 16
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["text_format"] = "[name:long]"
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["xOffset"] = 0
E.db["unitframe"]["units"]["player"]["customTexts"]["gName"]["yOffset"] = 16
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["enable"] = true
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["size"] = 10
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["text_format"] = "[powercolor][power:current:shortvalue]"
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["xOffset"] = 0
E.db["unitframe"]["units"]["player"]["customTexts"]["gPower"]["yOffset"] = -8
E.db["unitframe"]["units"]["player"]["debuffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["player"]["debuffs"]["enable"] = false
E.db["unitframe"]["units"]["player"]["health"]["text_format"] = ""
E.db["unitframe"]["units"]["player"]["height"] = 35
E.db["unitframe"]["units"]["player"]["infoPanel"]["transparent"] = true
E.db["unitframe"]["units"]["player"]["power"]["attachTextTo"] = "Frame"
E.db["unitframe"]["units"]["player"]["power"]["enable"] = true
E.db["unitframe"]["units"]["player"]["power"]["height"] = 4
E.db["unitframe"]["units"]["player"]["power"]["text_format"] = ""
E.db["unitframe"]["units"]["player"]["power"]["width"] = "spaced"
E.db["unitframe"]["units"]["player"]["pvp"]["text_format"] = ""
E.db["unitframe"]["units"]["player"]["raidRoleIcons"]["xOffset"] = 2
E.db["unitframe"]["units"]["player"]["raidicon"]["attachTo"] = "CENTER"
E.db["unitframe"]["units"]["player"]["raidicon"]["yOffset"] = 12
E.db["unitframe"]["units"]["player"]["width"] = 220
E.db["unitframe"]["units"]["player"]["threatStyle"] = "NONE"

-- UF Target
E.db["unitframe"]["units"]["target"]["CombatIcon"]["size"] = 32
E.db["unitframe"]["units"]["target"]["aurabar"]["attachTo"] = "BUFFS"
E.db["unitframe"]["units"]["target"]["aurabar"]["detachedWidth"] = 220
E.db["unitframe"]["units"]["target"]["aurabar"]["height"] = 16
E.db["unitframe"]["units"]["target"]["aurabar"]["maxBars"] = 5
E.db["unitframe"]["units"]["target"]["aurabar"]["priority"] = "Blacklist,blockNoDuration,CCDebuffs,Personal,Boss,RaidDebuffs,PlayerBuffs"
E.db["unitframe"]["units"]["target"]["buffs"]["anchorPoint"] = "TOPLEFT"
E.db["unitframe"]["units"]["target"]["buffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["target"]["buffs"]["priority"] = "Blacklist,Dispellable,Personal,nonPersonal"
E.db["unitframe"]["units"]["target"]["buffs"]["yOffset"] = 14
E.db["unitframe"]["units"]["target"]["castbar"]["iconAttached"] = false
E.db["unitframe"]["units"]["target"]["castbar"]["iconAttachedTo"] = "Castbar"
E.db["unitframe"]["units"]["target"]["castbar"]["iconPosition"] = "RIGHT"
E.db["unitframe"]["units"]["target"]["castbar"]["iconSize"] = 36
E.db["unitframe"]["units"]["target"]["castbar"]["iconXOffset"] = 2
E.db["unitframe"]["units"]["target"]["castbar"]["width"] = 240
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["size"] = 16
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["text_format"] = "[health:current:shortvalue]"
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["xOffset"] = 0
E.db["unitframe"]["units"]["target"]["customTexts"]["gHealth"]["yOffset"] = -6
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["justifyH"] = "CENTER"
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["size"] = 10
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["text_format"] = "[namecolor][smartclass] ||cffffffff LvL ||r[difficultycolor][level] [classification]"
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["xOffset"] = 0
E.db["unitframe"]["units"]["target"]["customTexts"]["gInfo"]["yOffset"] = -24
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["size"] = 16
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["text_format"] = "[name:abbrev:long]"
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["xOffset"] = 0
E.db["unitframe"]["units"]["target"]["customTexts"]["gName"]["yOffset"] = 16
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["size"] = 10
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["text_format"] = "[perhp]%"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["xOffset"] = 0
E.db["unitframe"]["units"]["target"]["customTexts"]["gPercent"]["yOffset"] = 8
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["enable"] = true
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["size"] = 10
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["text_format"] = "[powercolor][power:current:shortvalue]"
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["xOffset"] = 0
E.db["unitframe"]["units"]["target"]["customTexts"]["gPower"]["yOffset"] = -8
E.db["unitframe"]["units"]["target"]["debuffs"]["enable"] = true
E.db["unitframe"]["units"]["target"]["debuffs"]["anchorPoint"] = "RIGHT"
E.db["unitframe"]["units"]["target"]["debuffs"]["attachTo"] = "FRAME"
E.db["unitframe"]["units"]["target"]["debuffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["target"]["debuffs"]["perrow"] = 3
E.db["unitframe"]["units"]["target"]["debuffs"]["priority"] = "Blacklist,Friendly:Dispellable,CCDebuffs,Personal,RaidDebuffs"
E.db["unitframe"]["units"]["target"]["debuffs"]["sizeOverride"] = 42
E.db["unitframe"]["units"]["target"]["health"]["text_format"] = ""
E.db["unitframe"]["units"]["target"]["height"] = 35
E.db["unitframe"]["units"]["target"]["name"]["text_format"] = ""
E.db["unitframe"]["units"]["target"]["phaseIndicator"]["enable"] = false
E.db["unitframe"]["units"]["target"]["power"]["enable"] = true
E.db["unitframe"]["units"]["target"]["power"]["height"] = 4
E.db["unitframe"]["units"]["target"]["power"]["text_format"] = ""
E.db["unitframe"]["units"]["target"]["power"]["width"] = "spaced"
E.db["unitframe"]["units"]["target"]["raidicon"]["attachTo"] = "CENTER"
E.db["unitframe"]["units"]["target"]["raidicon"]["yOffset"] = 12
E.db["unitframe"]["units"]["target"]["width"] = 220
E.db["unitframe"]["units"]["target"]["threatStyle"] = "NONE"

-- Pet
E.db["unitframe"]["units"]["pet"]["buffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["pet"]["castbar"]["enable"] = false
E.db["unitframe"]["units"]["pet"]["castbar"]["width"] = 120
E.db["unitframe"]["units"]["pet"]["debuffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["pet"]["health"]["position"] = "BOTTOMLEFT"
E.db["unitframe"]["units"]["pet"]["health"]["xOffset"] = 0
E.db["unitframe"]["units"]["pet"]["height"] = 27
E.db["unitframe"]["units"]["pet"]["name"]["attachTextTo"] = "Frame"
E.db["unitframe"]["units"]["pet"]["name"]["position"] = "LEFT"
E.db["unitframe"]["units"]["pet"]["name"]["text_format"] = "[name:medium]"
E.db["unitframe"]["units"]["pet"]["name"]["yOffset"] = 12
E.db["unitframe"]["units"]["pet"]["name"]["xOffset"] = 2
E.db["unitframe"]["units"]["pet"]["power"]["enable"] = true
E.db["unitframe"]["units"]["pet"]["power"]["height"] = 4
E.db["unitframe"]["units"]["pet"]["power"]["width"] = "spaced"
E.db["unitframe"]["units"]["pet"]["width"] = 120
E.db["unitframe"]["units"]["pet"]["threatStyle"] = "NONE"

-- Target's Target
E.db["unitframe"]["units"]["targettarget"]["buffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["targettarget"]["buffs"]["perrow"] = 4
E.db["unitframe"]["units"]["targettarget"]["debuffs"]["attachTo"] = "FRAME"
E.db["unitframe"]["units"]["targettarget"]["debuffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["targettarget"]["debuffs"]["priority"] = "Blacklist,Dispellable,Boss,RaidDebuffs,CCDebuffs,Personal,Whitelist"
E.db["unitframe"]["units"]["targettarget"]["health"]["position"] = "BOTTOMRIGHT"
E.db["unitframe"]["units"]["targettarget"]["health"]["xOffset"] = 0
E.db["unitframe"]["units"]["targettarget"]["height"] = 27
E.db["unitframe"]["units"]["targettarget"]["name"]["attachTextTo"] = "Frame"
E.db["unitframe"]["units"]["targettarget"]["name"]["position"] = "RIGHT"
E.db["unitframe"]["units"]["targettarget"]["name"]["text_format"] = "[name:medium]"
E.db["unitframe"]["units"]["targettarget"]["name"]["yOffset"] = 12
E.db["unitframe"]["units"]["targettarget"]["power"]["enable"] = true
E.db["unitframe"]["units"]["targettarget"]["power"]["height"] = 4
E.db["unitframe"]["units"]["targettarget"]["power"]["width"] = "spaced"
E.db["unitframe"]["units"]["targettarget"]["raidicon"]["attachTo"] = "CENTER"
E.db["unitframe"]["units"]["targettarget"]["raidicon"]["yOffset"] = 12
E.db["unitframe"]["units"]["targettarget"]["width"] = 120
E.db["unitframe"]["units"]["targettarget"]["threatStyle"] = "NONE"

-- Focus
E.db["unitframe"]["units"]["focus"]["CombatIcon"]["size"] = 32
E.db["unitframe"]["units"]["focus"]["buffs"]["anchorPoint"] = "LEFT"
E.db["unitframe"]["units"]["focus"]["buffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["focus"]["buffs"]["enable"] = true
E.db["unitframe"]["units"]["focus"]["buffs"]["perrow"] = 1
E.db["unitframe"]["units"]["focus"]["buffs"]["priority"] = "Blacklist,TurtleBuffs,Dispellable,Personal,PlayerBuffs,CastByUnit,RaidBuffsElvUI"
E.db["unitframe"]["units"]["focus"]["buffs"]["sizeOverride"] = 42
E.db["unitframe"]["units"]["focus"]["buffs"]["xOffset"] = -2
E.db["unitframe"]["units"]["focus"]["castbar"]["iconAttached"] = false
E.db["unitframe"]["units"]["focus"]["castbar"]["iconAttachedTo"] = "Castbar"
E.db["unitframe"]["units"]["focus"]["castbar"]["iconPosition"] = "RIGHT"
E.db["unitframe"]["units"]["focus"]["castbar"]["iconSize"] = 36
E.db["unitframe"]["units"]["focus"]["castbar"]["iconXOffset"] = 2
E.db["unitframe"]["units"]["focus"]["castbar"]["width"] = 240
E.db["unitframe"]["units"]["focus"]["debuffs"]["anchorPoint"] = "RIGHT"
E.db["unitframe"]["units"]["focus"]["debuffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["focus"]["debuffs"]["perrow"] = 3
E.db["unitframe"]["units"]["focus"]["debuffs"]["priority"] = "Blacklist,CCDebuffs,Dispellable,RaidDebuffs,Boss,Personal,Whitelist"
E.db["unitframe"]["units"]["focus"]["debuffs"]["sizeOverride"] = 42
E.db["unitframe"]["units"]["focus"]["debuffs"]["xOffset"] = 2
E.db["unitframe"]["units"]["focus"]["health"]["position"] = "BOTTOMRIGHT"
E.db["unitframe"]["units"]["focus"]["health"]["xOffset"] = 0
E.db["unitframe"]["units"]["focus"]["height"] = 27
E.db["unitframe"]["units"]["focus"]["name"]["attachTextTo"] = "Frame"
E.db["unitframe"]["units"]["focus"]["name"]["position"] = "RIGHT"
E.db["unitframe"]["units"]["focus"]["name"]["text_format"] = "[name:medium]"
E.db["unitframe"]["units"]["focus"]["name"]["yOffset"] = 12
E.db["unitframe"]["units"]["focus"]["power"]["enable"] = true
E.db["unitframe"]["units"]["focus"]["power"]["height"] = 4
E.db["unitframe"]["units"]["focus"]["power"]["width"] = "spaced"
E.db["unitframe"]["units"]["focus"]["raidicon"]["attachTo"] = "CENTER"
E.db["unitframe"]["units"]["focus"]["raidicon"]["yOffset"] = 12
E.db["unitframe"]["units"]["focus"]["width"] = 120
E.db["unitframe"]["units"]["focus"]["threatStyle"] = "NONE"

-- Party
E.db["unitframe"]["units"]["party"]["buffs"]["anchorPoint"] = "RIGHT"
E.db["unitframe"]["units"]["party"]["buffs"]["clickThrough"] = true
E.db["unitframe"]["units"]["party"]["buffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["party"]["buffs"]["enable"] = true
E.db["unitframe"]["units"]["party"]["buffs"]["perrow"] = 1
E.db["unitframe"]["units"]["party"]["buffs"]["sizeOverride"] = 28
E.db["unitframe"]["units"]["party"]["buffs"]["xOffset"] = -55
E.db["unitframe"]["units"]["party"]["buffs"]["yOffset"] = 15
E.db["unitframe"]["units"]["party"]["castbar"]["width"] = 180
E.db["unitframe"]["units"]["party"]["classbar"]["enable"] = false
E.db["unitframe"]["units"]["party"]["classbar"]["fill"] = "spaced"
E.db["unitframe"]["units"]["party"]["classbar"]["height"] = 4
E.db["unitframe"]["units"]["party"]["customTexts"]["gMana"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["party"]["customTexts"]["gMana"]["enable"] = true
E.db["unitframe"]["units"]["party"]["customTexts"]["gMana"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["party"]["customTexts"]["gMana"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["party"]["customTexts"]["gMana"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["party"]["customTexts"]["gMana"]["size"] = 10
E.db["unitframe"]["units"]["party"]["customTexts"]["gMana"]["text_format"] = ""
E.db["unitframe"]["units"]["party"]["customTexts"]["gMana"]["xOffset"] = 0
E.db["unitframe"]["units"]["party"]["customTexts"]["gMana"]["yOffset"] = 8
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["enable"] = true
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["justifyH"] = "LEFT"
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["size"] = 14
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["text_format"] = "[name:medium]"
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["xOffset"] = 0
E.db["unitframe"]["units"]["party"]["customTexts"]["gName"]["yOffset"] = 16
E.db["unitframe"]["units"]["party"]["debuffs"]["clickThrough"] = true
E.db["unitframe"]["units"]["party"]["debuffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["party"]["debuffs"]["perrow"] = 1
E.db["unitframe"]["units"]["party"]["debuffs"]["priority"] = "Blacklist,CCDebuffs,Dispellable,Boss,RaidDebuffs,Whitelist"
E.db["unitframe"]["units"]["party"]["debuffs"]["sizeOverride"] = 42
E.db["unitframe"]["units"]["party"]["debuffs"]["xOffset"] = 2
E.db["unitframe"]["units"]["party"]["healPrediction"]["enable"] = true
E.db["unitframe"]["units"]["party"]["health"]["position"] = "BOTTOMRIGHT"
E.db["unitframe"]["units"]["party"]["health"]["text_format"] = "[health:current:shortvalue]"
E.db["unitframe"]["units"]["party"]["health"]["xOffset"] = 2
E.db["unitframe"]["units"]["party"]["height"] = 35
E.db["unitframe"]["units"]["party"]["name"]["text_format"] = ""
E.db["unitframe"]["units"]["party"]["petsGroup"]["anchorPoint"] = "BOTTOMRIGHT"
E.db["unitframe"]["units"]["party"]["petsGroup"]["enable"] = true
E.db["unitframe"]["units"]["party"]["petsGroup"]["height"] = 10
E.db["unitframe"]["units"]["party"]["petsGroup"]["name"]["text_format"] = ""
E.db["unitframe"]["units"]["party"]["petsGroup"]["xOffset"] = 0
E.db["unitframe"]["units"]["party"]["phaseIndicator"]["enable"] = false
E.db["unitframe"]["units"]["party"]["power"]["displayAltPower"] = true
E.db["unitframe"]["units"]["party"]["power"]["height"] = 4
E.db["unitframe"]["units"]["party"]["power"]["text_format"] = ""
E.db["unitframe"]["units"]["party"]["power"]["width"] = "spaced"
E.db["unitframe"]["units"]["party"]["power"]["enable"] = true
E.db["unitframe"]["units"]["party"]["raidRoleIcons"]["xOffset"] = 70
E.db["unitframe"]["units"]["party"]["raidicon"]["attachTo"] = "CENTER"
E.db["unitframe"]["units"]["party"]["raidicon"]["yOffset"] = 12
E.db["unitframe"]["units"]["party"]["rdebuffs"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["party"]["rdebuffs"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["party"]["rdebuffs"]["fontSize"] = 12
E.db["unitframe"]["units"]["party"]["rdebuffs"]["onlyMatchSpellID"] = false
E.db["unitframe"]["units"]["party"]["rdebuffs"]["size"] = 28
E.db["unitframe"]["units"]["party"]["rdebuffs"]["yOffset"] = 3
E.db["unitframe"]["units"]["party"]["roleIcon"]["damager"] = false
E.db["unitframe"]["units"]["party"]["roleIcon"]["position"] = "BOTTOMLEFT"
E.db["unitframe"]["units"]["party"]["roleIcon"]["xOffset"] = 0
E.db["unitframe"]["units"]["party"]["verticalSpacing"] = 20
E.db["unitframe"]["units"]["party"]["width"] = 150
E.db["unitframe"]["units"]["party"]["threatStyle"] = "NONE"

-- Raid
E.db["unitframe"]["units"]["raid"]["buffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["raid"]["classbar"]["enable"] = false
E.db["unitframe"]["units"]["raid"]["classbar"]["fill"] = "spaced"
E.db["unitframe"]["units"]["raid"]["classbar"]["height"] = 4
E.db["unitframe"]["units"]["raid"]["debuffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["raid"]["health"]["text_format"] = ""
E.db["unitframe"]["units"]["raid"]["height"] = 35
E.db["unitframe"]["units"]["raid"]["horizontalSpacing"] = 1
E.db["unitframe"]["units"]["raid"]["name"]["text_format"] = "[name:short]"
E.db["unitframe"]["units"]["raid"]["phaseIndicator"]["enable"] = false
E.db["unitframe"]["units"]["raid"]["power"]["displayAltPower"] = true
E.db["unitframe"]["units"]["raid"]["power"]["enable"] = false
E.db["unitframe"]["units"]["raid"]["power"]["height"] = 4
E.db["unitframe"]["units"]["raid"]["power"]["width"] = "spaced"
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["duration"]["color"]["g"] = 0.90196078431373
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["fontSize"] = 12
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["onlyMatchSpellID"] = false
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["size"] = 28
E.db["unitframe"]["units"]["raid"]["rdebuffs"]["yOffset"] = 3
E.db["unitframe"]["units"]["raid"]["roleIcon"]["damager"] = false
E.db["unitframe"]["units"]["raid"]["verticalSpacing"] = 1
E.db["unitframe"]["units"]["raid"]["threatStyle"] = "NONE"

-- Raid40
E.db["unitframe"]["units"]["raid40"]["buffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["raid40"]["classbar"]["enable"] = false
E.db["unitframe"]["units"]["raid40"]["classbar"]["fill"] = "spaced"
E.db["unitframe"]["units"]["raid40"]["classbar"]["height"] = 4
E.db["unitframe"]["units"]["raid40"]["debuffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["raid40"]["health"]["text_format"] = ""
E.db["unitframe"]["units"]["raid40"]["height"] = 22
E.db["unitframe"]["units"]["raid40"]["horizontalSpacing"] = 1
E.db["unitframe"]["units"]["raid40"]["name"]["text_format"] = "[name:short]"
E.db["unitframe"]["units"]["raid40"]["phaseIndicator"]["enable"] = false
E.db["unitframe"]["units"]["raid40"]["power"]["displayAltPower"] = true
E.db["unitframe"]["units"]["raid40"]["power"]["height"] = 4
E.db["unitframe"]["units"]["raid40"]["power"]["width"] = "spaced"
E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["enable"] = true
E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["fontSize"] = 12
E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["onlyMatchSpellID"] = false
E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["size"] = 22
E.db["unitframe"]["units"]["raid40"]["roleIcon"]["damager"] = false
E.db["unitframe"]["units"]["raid40"]["verticalSpacing"] = 1
E.db["unitframe"]["units"]["raid40"]["threatStyle"] = "NONE"

-- Arena
E.db["unitframe"]["units"]["arena"]["enable"] = true
E.db["unitframe"]["units"]["arena"]["growthDirection"] = "UP"
E.db["unitframe"]["units"]["arena"]["buffs"]["clickThrough"] = true
E.db["unitframe"]["units"]["arena"]["buffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["arena"]["buffs"]["perrow"] = 1
E.db["unitframe"]["units"]["arena"]["buffs"]["sizeOverride"] = 28
E.db["unitframe"]["units"]["arena"]["buffs"]["xOffset"] = 70
E.db["unitframe"]["units"]["arena"]["buffs"]["priority"] = "Blacklist,TurtleBuffs,Dispellable"
E.db["unitframe"]["units"]["arena"]["castbar"]["height"] = 16
E.db["unitframe"]["units"]["arena"]["castbar"]["width"] = 180
E.db["unitframe"]["units"]["arena"]["customTexts"]["gName"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["arena"]["customTexts"]["gName"]["enable"] = true
E.db["unitframe"]["units"]["arena"]["customTexts"]["gName"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["arena"]["customTexts"]["gName"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["arena"]["customTexts"]["gName"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["arena"]["customTexts"]["gName"]["size"] = 16
E.db["unitframe"]["units"]["arena"]["customTexts"]["gName"]["text_format"] = "[name:medium]"
E.db["unitframe"]["units"]["arena"]["customTexts"]["gName"]["xOffset"] = 0
E.db["unitframe"]["units"]["arena"]["customTexts"]["gName"]["yOffset"] = 16
E.db["unitframe"]["units"]["arena"]["customTexts"]["gPower"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["arena"]["customTexts"]["gPower"]["enable"] = true
E.db["unitframe"]["units"]["arena"]["customTexts"]["gPower"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["arena"]["customTexts"]["gPower"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["arena"]["customTexts"]["gPower"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["arena"]["customTexts"]["gPower"]["size"] = 10
E.db["unitframe"]["units"]["arena"]["customTexts"]["gPower"]["text_format"] = ""
E.db["unitframe"]["units"]["arena"]["customTexts"]["gPower"]["xOffset"] = 0
E.db["unitframe"]["units"]["arena"]["customTexts"]["gPower"]["yOffset"] = -10
E.db["unitframe"]["units"]["arena"]["debuffs"]["anchorPoint"] = "RIGHT"
E.db["unitframe"]["units"]["arena"]["debuffs"]["clickThrough"] = true
E.db["unitframe"]["units"]["arena"]["debuffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["arena"]["debuffs"]["priority"] = "Blacklist,blockNoDuration,CCDebuffs,Dispellable,Personal,Whitelist"
E.db["unitframe"]["units"]["arena"]["debuffs"]["sizeOverride"] = 42
E.db["unitframe"]["units"]["arena"]["debuffs"]["xOffset"] = 1
E.db["unitframe"]["units"]["arena"]["debuffs"]["yOffset"] = 0
E.db["unitframe"]["units"]["arena"]["debuffs"]["perrow"] = 1
E.db["unitframe"]["units"]["arena"]["health"]["position"] = "BOTTOMLEFT"
E.db["unitframe"]["units"]["arena"]["health"]["text_format"] = "[health:current:shortvalue]"
E.db["unitframe"]["units"]["arena"]["health"]["yOffset"] = 2
E.db["unitframe"]["units"]["arena"]["height"] = 35
E.db["unitframe"]["units"]["arena"]["name"]["text_format"] = ""
E.db["unitframe"]["units"]["arena"]["power"]["enable"] = true
E.db["unitframe"]["units"]["arena"]["power"]["height"] = 4
E.db["unitframe"]["units"]["arena"]["power"]["text_format"] = ""
E.db["unitframe"]["units"]["arena"]["power"]["width"] = "spaced"
E.db["unitframe"]["units"]["arena"]["pvpTrinket"]["position"] = "LEFT"
E.db["unitframe"]["units"]["arena"]["pvpTrinket"]["size"] = 42
E.db["unitframe"]["units"]["arena"]["pvpTrinket"]["xOffset"] = -4
E.db["unitframe"]["units"]["arena"]["spacing"] = 20
E.db["unitframe"]["units"]["arena"]["width"] = 180

-- Boss
E.db["unitframe"]["units"]["boss"]["growthDirection"] = "UP"
E.db["unitframe"]["units"]["boss"]["buffs"]["clickThrough"] = true
E.db["unitframe"]["units"]["boss"]["buffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["boss"]["buffs"]["maxDuration"] = 300
E.db["unitframe"]["units"]["boss"]["buffs"]["perrow"] = 1
E.db["unitframe"]["units"]["boss"]["buffs"]["sizeOverride"] = 28
E.db["unitframe"]["units"]["boss"]["buffs"]["xOffset"] = 70
E.db["unitframe"]["units"]["boss"]["buffs"]["yOffset"] = 16
E.db["unitframe"]["units"]["boss"]["castbar"]["height"] = 16
E.db["unitframe"]["units"]["boss"]["castbar"]["width"] = 180
E.db["unitframe"]["units"]["boss"]["customTexts"]["gName"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["boss"]["customTexts"]["gName"]["enable"] = true
E.db["unitframe"]["units"]["boss"]["customTexts"]["gName"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["boss"]["customTexts"]["gName"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["boss"]["customTexts"]["gName"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["boss"]["customTexts"]["gName"]["size"] = 16
E.db["unitframe"]["units"]["boss"]["customTexts"]["gName"]["text_format"] = "[name:abbrev:medium]"
E.db["unitframe"]["units"]["boss"]["customTexts"]["gName"]["xOffset"] = 0
E.db["unitframe"]["units"]["boss"]["customTexts"]["gName"]["yOffset"] = 16
E.db["unitframe"]["units"]["boss"]["customTexts"]["gPower"]["attachTextTo"] = "Health"
E.db["unitframe"]["units"]["boss"]["customTexts"]["gPower"]["enable"] = true
E.db["unitframe"]["units"]["boss"]["customTexts"]["gPower"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["boss"]["customTexts"]["gPower"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["boss"]["customTexts"]["gPower"]["justifyH"] = "RIGHT"
E.db["unitframe"]["units"]["boss"]["customTexts"]["gPower"]["size"] = 10
E.db["unitframe"]["units"]["boss"]["customTexts"]["gPower"]["text_format"] = "[powercolor][power:current:shortvalue]"
E.db["unitframe"]["units"]["boss"]["customTexts"]["gPower"]["xOffset"] = 0
E.db["unitframe"]["units"]["boss"]["customTexts"]["gPower"]["yOffset"] = -10
E.db["unitframe"]["units"]["boss"]["debuffs"]["anchorPoint"] = "RIGHT"
E.db["unitframe"]["units"]["boss"]["debuffs"]["clickThrough"] = true
E.db["unitframe"]["units"]["boss"]["debuffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["boss"]["debuffs"]["desaturate"] = false
E.db["unitframe"]["units"]["boss"]["debuffs"]["maxDuration"] = 300
E.db["unitframe"]["units"]["boss"]["debuffs"]["sizeOverride"] = 42
E.db["unitframe"]["units"]["boss"]["debuffs"]["xOffset"] = 1
E.db["unitframe"]["units"]["boss"]["debuffs"]["yOffset"] = 0
E.db["unitframe"]["units"]["boss"]["health"]["position"] = "BOTTOMLEFT"
E.db["unitframe"]["units"]["boss"]["health"]["text_format"] = "[health:current:shortvalue]"
E.db["unitframe"]["units"]["boss"]["health"]["yOffset"] = 2
E.db["unitframe"]["units"]["boss"]["height"] = 35
E.db["unitframe"]["units"]["boss"]["infoPanel"]["height"] = 17
E.db["unitframe"]["units"]["boss"]["name"]["text_format"] = ""
E.db["unitframe"]["units"]["boss"]["power"]["height"] = 4
E.db["unitframe"]["units"]["boss"]["power"]["text_format"] = ""
E.db["unitframe"]["units"]["boss"]["power"]["width"] = "spaced"
E.db["unitframe"]["units"]["boss"]["power"]["enable"] = true
E.db["unitframe"]["units"]["boss"]["raidicon"]["attachTo"] = "CENTER"
E.db["unitframe"]["units"]["boss"]["raidicon"]["yOffset"] = 12
E.db["unitframe"]["units"]["boss"]["spacing"] = 20
E.db["unitframe"]["units"]["boss"]["width"] = 150

-- Tank
E.db["unitframe"]["units"]["tank"]["buffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["tank"]["debuffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["tank"]["name"]["text_format"] = "[name:medium]"
E.db["unitframe"]["units"]["tank"]["rdebuffs"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["tank"]["rdebuffs"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["tank"]["rdebuffs"]["fontSize"] = 12
E.db["unitframe"]["units"]["tank"]["rdebuffs"]["onlyMatchSpellID"] = false
E.db["unitframe"]["units"]["tank"]["targetsGroup"]["height"] = 20
E.db["unitframe"]["units"]["tank"]["targetsGroup"]["name"]["text_format"] = "[name:medium]"
E.db["unitframe"]["units"]["tank"]["targetsGroup"]["width"] = 80
E.db["unitframe"]["units"]["tank"]["threatStyle"] = "NONE"

-- Assist
E.db["unitframe"]["units"]["assist"]["buffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["assist"]["debuffs"]["countFont"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["assist"]["name"]["text_format"] = "[name:medium]"
E.db["unitframe"]["units"]["assist"]["rdebuffs"]["font"] = "Century Gothic Bold"
E.db["unitframe"]["units"]["assist"]["rdebuffs"]["fontOutline"] = "OUTLINE"
E.db["unitframe"]["units"]["assist"]["rdebuffs"]["fontSize"] = 12
E.db["unitframe"]["units"]["assist"]["rdebuffs"]["onlyMatchSpellID"] = false
E.db["unitframe"]["units"]["assist"]["targetsGroup"]["enable"] = false
E.db["unitframe"]["units"]["assist"]["targetsGroup"]["height"] = 20
E.db["unitframe"]["units"]["assist"]["targetsGroup"]["name"]["text_format"] = "[name:medium]"
E.db["unitframe"]["units"]["assist"]["targetsGroup"]["width"] = 80
E.db["unitframe"]["units"]["assist"]["threatStyle"] = "NONE"
end